@use "../../../../../styles/variables/colorsFacebook.scss";
@use "../../../../../styles/variables/colors.scss";

.member-request-wrapper {
    user-select: none;
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: colorsFacebook.$gray_background-modal;
    padding: 20px 0 10px;

    .header-section {
        width: 70%;
        height: 100%;
        margin: 10px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: start;
        row-gap: 10px;

        .search {
            width: 100%;
        }

        .request-header-text {
            font-size: 24px;
            font-weight: 700;
            color: colorsFacebook.$white;
        }
    }

    .group-members-section {
        width: 90%;
        height: 100%;
        margin: 10px;
        margin-top: 30px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 5px;

        .request-members {
            max-width: 650px;
            width: 100%;
            height: auto;
            color: colorsFacebook.$white;
            padding: 10px;
            border-radius: 7px;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;

            .buttons-list {
                max-width: 230px;
                width: 100%;
                height: 100%;
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;

                .reject {
                    cursor: pointer;
                }

                .join {
                    cursor: pointer;
                }
            }

            .member-info {
                width: 100%;
                height: auto;

                display: flex;
                flex-direction: row;
                justify-content: start;
                align-items: center;
                gap: 20px;

                .user-icon {
                    width: 70px;
                    height: 70px;
                    border-radius: 35px;
                    background-color: gray;

                    display: flex;
                    flex-direction: row;
                    justify-content: center;
                    align-items: center;

                    .user-img {
                        width: 100%;
                        height: 100%;
                        border-radius: 35px;
                        object-fit: cover;

                    }

                    .icon {
                        width: 100%;
                        height: 100%;
                    }
                }

                .member-name {
                    font-size: 20px;
                    font-weight: 600;
                }
            }
        }

        .request-members:hover {
            background-color: colors.$bg_dark-blue;
        }

        .group-no-members {
            width: 300px;
            height: auto;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            align-self: center;

            .no-members-icon {
                width: 50%;
                height: 50%;
            }

            .no-members-text {
                width: 100%;
                font-size: 22px;
                font-weight: 600;
                color: colorsFacebook.$white;
                text-align: center;
            }
        }

        .member-join-item {
            width: 100%;
            height: auto;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;

        }
    }

    @media screen and (max-width: 767px) {

        .header-section {
            gap: 20px;

            .request-header-text {
                align-self: center;
                font-size: 22px;
            }
        }

        .group-members-section {

            .group-no-members {
                width: 200px;

                .no-members-icon {
                    width: 40%;
                    height: 40%;
                }

                .no-members-text {
                    font-size: 20px;
                }
            }

        }
    }

    @media screen and (max-width: 500px) {

        .header-section {

            .request-header-text {
                align-self: self-end;
                font-size: 22px;
            }
        }

        .group-members-section {
            max-width: 250px;
            width: 100%;

            .request-members {
                flex-direction: column;
                justify-content: center;
                align-items: center;
                gap: 5px;

                .member-info {
                    justify-content: center;
                    align-items: center;
                }
            }
        }
    }
}